Bug 1410633 - NaNs generated in cblas_sgemm
Summary: NaNs generated in cblas_sgemm
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: atlas
Version: 29
Hardware: ppc64le
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jakub Martisko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 00:08 UTC by Jerry James
Modified: 2019-11-27 22:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:20:34 UTC
Type: Bug


Attachments (Terms of Use)
Notes taken while investigating the bug (88.61 KB, text/plain)
2017-01-06 00:08 UTC, Jerry James
no flags Details

Description Jerry James 2017-01-06 00:08:39 UTC
Created attachment 1237820 [details]
Notes taken while investigating the bug

Description of problem:
The fflas-ffpack package build currently fails on ppc64 due to a matrix multiplication producing NaNs in the output.  This appears to be due to a bug in ATLAS, since the same code with the same inputs succeeds with openblas.  I will attach a file of notes I took while investigating this bug.  It contains the gdb dump of two (rather large) matrices that demonstrate the bug.

Version-Release number of selected component (if applicable):
atlas-3.10.2-14.fc26.ppc64

How reproducible:
Apparently always.  I have run the fflas-ffpack build at least a dozen times while investigating this issue, and it failed the same way every time.

Steps to Reproduce:
1. Build the fflas-ffpack package on ppc64.
2.
3.

Actual results:
The build hangs while running test-lu.  This is due to a function that is waiting for a value to converge to 0.  Since the value is a NaN, it never converges.

Expected results:
A valid matrix multiplication.

Additional info:
This doesn't happen with ppc64le, only with ppc64.

Comment 1 Fedora End Of Life 2017-02-28 10:53:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora Admin XMLRPC Client 2017-05-29 11:10:31 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2018-05-03 08:15:33 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2018-05-29 12:33:52 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Jerry James 2018-06-04 17:34:30 UTC
I updated fflas-ffpack in Rawhide and found that this bug not only continues to affect ppc64, but it now affects ppc64le as well.

Comment 6 Jan Kurik 2018-08-14 11:11:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Ben Cotton 2019-10-31 19:27:56 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-11-27 22:20:34 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.